## licensecheck-2.15.9-1-src.tar.xz

=== scripts/Makefile ===

include ../Makefile.common
DESTDIR =

define \n


endef

VERSION_FILE = ../version
VERSION := $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -std=c99
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
COMPLETION = $(patsubst %.bash_completion,devscripts.%,$(COMPL_FILES))
COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)

GEN_MAN1S += devscripts.1 mk-origtargz.1

all: $(SCRIPTS) $(GEN_MAN1S) $(CWRAPPERS) $(COMPLETION)

$(VERSION_FILE):
	$(MAKE) -C .. version

%: %.sh

debchange: debchange.pl $(VERSION_FILE)
	cp $< $@
	sed -i "s/###VERSION###/$(VERSION)/" $@
ifeq ($(shell dpkg-vendor --query Vendor),Ubuntu)
# On Ubuntu always default to targeting the release that it's built on,
# not the current devel release, since its primary use on stable releases
# will be for preparing PPA uploads.
	sed -i 's/get_ubuntu_devel_distro()/"$(shell lsb_release -cs)"/' $@
endif
	perl -I ../lib -c $@

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	bash -n $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	perl -I ../lib -c $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.pod
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

# There is a slight chance this gets called twice, once here from here and once
# from ../po4a/Makefile. Treat files with care.
PID := $(shell echo $$$$-$$PPID)
devscripts.1: devscripts.1.in
	cat $< > $@.$(PID)
	perl ../debian/genmanpage.pl >> $@.$(PID)
	mv $@.$(PID) $@

devscripts.%: %.bash_completion
	cp $< $@

clean:
	python3 setup.py clean -a
	find -name '*.pyc' -delete
	find -name __pycache__ -delete
	rm -rf devscripts.egg-info
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS) \
		$(COMPLETION)

test:
	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))

install: all
	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch
	install -d $(DESTDIR)$(COMPL_DIR)
	cp $(COMPLETION) $(DESTDIR)$(COMPL_DIR)
	# Special treatment for debpkg
	install -d $(DESTDIR)$(DATA_DIR)
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(DATA_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg

.PHONY: test

=== test/Makefile ===
test:
	./test_annotate-output
	./test_checkbashisms
	./test_dd-list
	./test_debchange
	./test_debdiff
	./test_licensecheck
	./test_uscan
	./test_uscan_mangle
	./test_mk-origtargz

test-installed:
	./test_annotate-output --installed
	./test_checkbashisms --installed
	./test_dd-list --installed
	./test_debchange --installed
	./test_debdiff --installed
	./test_licensecheck --installed
	./test_uscan --installed
	./test_uscan_mangle --installed
	./test_mk-origtargz --installed

online-test:
	./test_uscan_online

.PHONY: test test-installed online-test

=== debian/changelog ===
devscripts (2.15.9) unstable; urgency=medium

  [ Joachim Breitner ]
  * mk-origtargz:
    + Work around tar --delete not working unless piping. This should
      make the support for Excluded-Files more reliable.
      Thanks to Felix Natter for identifying the problem and solution.
  * debcommit:
    + Detect git repositories even if .git is a file instead of a directory,
      as it can be the case with "git worktree" worktrees.
  * origtargz: Call rm -rf with "--", so that files starting with - are not
    considered arguments by rm.

  [ James McCoy ]
  * bts:
    + Add reference to pts-subscribe(1) in bts(1).  (Closes: #794689)
  * tagpending:
    + Fix warning when there are no fixed bugs in the changelog.  (Closes:
      #795470)
    + Avoid querying the BTS when there are no bugs closed in the changelog.
  * mergechanges:
    + Add -S/--source argument to skip all binary packages.  Thanks to Ansgar
      Burchardt for the patch.  (Closes: #795573)
  * debchange:
    + Only emit "no orig tarball" for non-native packages.  (Closes: #797018)
  * debcheckout:
    + Clarify documentation of -f option.  Thanks to Daniel Shahaf for the
      patch!  (Closes: #797265)
  * annotate-output:
    + Optimize the case of FORMAT not containing any date format codes.
      Thanks to Stefan Fritsch for the patch.  (Closes: #799553)
  * build-rdeps:
    + Avoid recursing into apt's lists directory.  Only the top-level files
      are interesting and this avoids a “Permission denied” warning with apt
      versions that restrict access to the lists/partial directory.  Thanks to
      James Cowgill for the patch.  (Closes: #798252)
  * wrap-and-sort:
    + Avoid modifying an empty file.  Thanks to Chris Lamb for the patch.
      (Closes: #789579)
  * dd-list:
    + Omit information from stanzas with “Extra-Source-Only: yes”.
    + Use only the information from the most recent version of a package
      within each sources file.  (Closes: #788820)
    + Enable reading sources data from gz or bzip2 compressed files.  If the
      --dctrl switch is being used, the -z switch is needed to enabled
       decompression.  Compressed files specified with the -s switch will
       automatically be handled if using a .gz/.bz2 extension.

  [ Dominique Dumont ]
  * licensecheck:
    * added --text option to avoid scanning binary files (Closes: #797562)
    * use 'file' command to decide whether to scan a file or
      not (instead of testing file suffix)
    * remove trailing '#' from © information
    * store only first © block to avoid duplicated information
    * remove '\' from © information (useful for nroff files)

  [ Adam D. Barratt ]
  * getbuildlog:
    + Stop downloading logs from debian-ports explicitly, now that it has
      been merged into buildd.debian.org and downloading from both locations
      causes duplicate downloads.  (Closes: #796506)

  [ Dmitry Shachnev ]
  * uscan: Use https protocol for pypi.debian.net redirector, now that it
    is available.  (Closes: #796880)

  [ Osamu Aoki ]
  * uscan:
    + Ensure the version field in the watch line is defined, rather than
      "true" before using it in a comparison.  The enables the use of 0 as a
      value for the version.  (Closes: #796984)

  [ Gunnar Wolf ]
  * debchange:
    + Allow the current preferred security upload targets
      (wheezy|jessie|stretch)-security instead of their changing
      counterparts (oldstable|stable|testing)-security (Closes: #797084)

  [ Antonio Terceiro ]
  * chdist:
    + Add support for running apt-file
  * debian/lintian-overrides: remove overrides for false positives that had
    been fixed in lintian

  [ Christoph Berg ]
  * debcheckout: Add auth mapping for git://github.com.

 -- James McCoy <jamessan@debian.org>  Mon, 05 Oct 2015 21:00:08 -0400

devscripts (2.15.8) unstable; urgency=high

  * licensecheck:
    + Avoid argument injection which may cause file to overwrite a file
      through symlink indirection.  (Closes: #794365, CVE-2015-5705)

 -- James McCoy <jamessan@debian.org>  Sun, 02 Aug 2015 09:06:05 -0400

devscripts (2.15.7) unstable; urgency=medium

  * licensecheck:
    + Use Dpkg::IPC to run file to avoid shell injection.
      (Closes: #794260, CVE-2015-5704)
    + Change whitelist of mime types to greylist of encodings.  Restores
      ability to check files with mime types like text/x-c++ and
      application/postscript.  Thanks to Jonas Smedegaard for the patch.
      (Closes: #794282)
    + Fix an endless loop in parsing certain files.  Thanks to Jonas
      Smedegaard for the patch.  (Closes: #794263)

 -- James McCoy <jamessan@debian.org>  Fri, 31 Jul 2015 22:50:33 -0400

devscripts (2.15.6) unstable; urgency=medium

  [ Paul Wise ]
  * Adjust wording of common suffixes passed to repacksuffix

  [ James McCoy ]
  * debcheckout:
    + Handle Launchpad Git URLs.  Thanks to Colin Watson for the patch.
      (Closes: #788777)
    + Handle authenticated checkout when Vcs-Darcs is missing the root /darcs
      directory.
  * checkbashisms:
    + Fix unescaped, literal curly brace in regex, causing FTBFS with Perl
      5.22.  Thanks to Roderich Schupp for the patch.  (Closes: #788707)
    + Improve detection of %q/%b to include when it is at the start of the
      string.  Thanks to Eero Vuojolahti.  (Closes: #793396)
  * wnpp-check:
    + Use getopt to handle argument parsing.
    + Add --exact switch to match the exact package name instead of a
      substring.  Thanks to Balasankar C.  (Closes: #791918)
  * Replace manual parsing of dpkg-buildpackage's output with the use of its
    -S switch or the Dpkg::Changelog::Parse Perl module.
    + Bump minimum required version of dpkg-dev to 1.17.0
  * dget: Support arch-qualified package names.  “dget foo:i386” will download
    the foo binary package for Arch: i386.  “dget --all srcfoo:i386” will
    download all binary packages from the srcfoo source package that are
    either Arch: all or Arch: any/i386.  (Closes: #792917)


=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
Uploaders: James McCoy <jamessan@debian.org>,
           Martin Zobel-Helas <zobel@debian.org>,
           Patrick Schoenfeld <schoenfeld@debian.org>,
           Ryan Niebur <ryanryan52@gmail.com>,
           Benjamin Drung <bdrung@debian.org>
Standards-Version: 3.9.6
Build-Depends: bash-completion,
               debhelper (>= 9),
               docbook-xsl,
               dpkg-dev (>= 1.17.0),
               file,
               libdistro-info-perl,
               libfile-desktopentry-perl,
               libtimedate-perl,
               liburi-perl,
               libwww-perl,
               lsb-release,
               perl,
               pkg-config,
               po4a (>= 0.40),
               pylint,
               python3-all,
               python3-debian (>= 0.1.15),
               python3-magic,
               python3-setuptools,
               shunit2 (>= 2.1.6),
               unzip,
               wdiff,
               xsltproc,
               xz-utils,
               zip
Testsuite: autopkgtest
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/devscripts.git
Vcs-Git: git://anonscm.debian.org/collab-maint/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends: dpkg-dev (>= 1.17.0),
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: at,
            dctrl-tools,
            dput | dupload,
            fakeroot,
            file,
            gnupg,
            libdistro-info-perl,
            libencode-locale-perl,
            libjson-perl,
            liburi-perl,
            libwww-perl,
            lintian,
            man-db,
            patch,
            patchutils,
            python3-debian (>= 0.1.15),
            python3-magic,
            sensible-utils,
            strace,
            unzip,
            wdiff,
            wget | curl,
            xz-utils,
            ${vendor:Recommends}
Suggests: bsd-mailx | mailx,
          build-essential,
          cvs-buildpackage,
          debbindiff,
          devscripts-el,
          gnuplot,
          gpgv,
          libauthen-sasl-perl,
          libfile-desktopentry-perl,
          libnet-smtp-ssl-perl,
          libterm-size-perl,
          libtimedate-perl,
          libyaml-syck-perl,
          mutt,
          ssh-client,
          svn-buildpackage,
          w3m,
          ${vendor:Suggests}
Breaks: ubuntu-dev-tools (<< 0.147~)
Replaces: ubuntu-dev-tools (<< 0.124~)
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, liburi-perl,
    libwww-perl, bsd-mailx | mailx]
  - build-rdeps: search for all packages that build-depend on a given package
    [dctrl-tools]
  - chdist: tool to easily play with several distributions [dctrl-tools]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific contructs
  - cowpoke: upload a Debian source package to a cowbuilder host and build it,
    optionally also signing and uploading the result to an incoming queue
    [ssh-client]
  - cvs-debi, cvs-debc: wrappers around debi and debc respectively (see below)
    which allow them to be called from the CVS working directory
    [cvs-buildpackage]
  - cvs-debrelease: wrapper around debrelease which allows it to be called
    from the CVS working directory [cvs-buildpackage, dupload | dput,
    ssh-client]
  - cvs-debuild: wrapper for cvs-buildpackage to use debuild as its package
    building program [cvs-buildpackage, fakeroot, lintian, gnupg]
  - dcmd: run a given command replacing the name of a .changes or .dsc file
    with each of the files referenced therein
  - dcontrol: remotely query package and source control files for all Debian
    distributions [liburl-perl, libwww-perl]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files
    [libdistro-info-perl, libsoap-lite-perl]
  - debcheckout: checkout the development repository of a Debian package
  - debclean: clean a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs, darcs, svn, svk, tla, bzr, git, or hg,
    basing commit message on changelog [cvs | darcs | subversion | svk | tla |
    bzr | git-core | mercurial, libtimedate-perl]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files. Use the debbindiff package for deep comparisons.
    [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg,
    debian-keyring, ssh-client]
  - debsnap: grab packages from http://snapshot.debian.org [libwww-perl,
    libjson-perl]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot, lintian, gnupg]
  - deb-reversion: increase a binary package version number and repacks the
    package, useful for porters and the like
  - dep3changelog: generate a changelog entry from a DEP3-style patch header
  - desktop2menu: given a freedesktop.org desktop file, generate a skeleton
    for a menu file [libfile-desktopentry-perl]
  - dget: download Debian source and binary packages [wget | curl]
  - diff2patches: extract patches from a .diff.gz file placing them under
    debian/ or, if present, debian/patches [patchutils]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - dscextract: extract a single file from a Debian source package [patchutils]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - edit-patch: add/edit a patch for a source package and commit the changes
    [quilt | dpatch | cdbs]
  - getbuildlog: download package build logs from Debian auto-builders [wget]
  - grep-excuses: grep the update_excuses.html file for your packages
    [libterm-size-perl, wget, w3m]
  - licensecheck: attempt to determine the license of source files
  - list-unreleased: search for unreleased packages
  - manpage-alert: locate binaries without corresponding manpages [man-db]
  - mass-bug: mass-file bug reports [bsd-mailx | mailx]
  - mergechanges: merge .changes files from the same release but built
    on different architectures
  - mk-build-deps: given a package name and/or control file, generate a binary
    package which may be installed to satisfy the build-dependencies of the
    given package [equivs]
  - mk-origtargz: rename upstream tarball, optionally changing the compression
    and removing unwanted files [unzip, xz-utils, file]
  - namecheck: check project names are not already taken
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - origtargz: fetch the orig tarball of a Debian package from various sources,
    and unpack it
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [bsd-mailx | mailx, at]
  - rc-alert: list installed packages which have release-critical bugs
    [wget | curl]
  - rmadison: remotely query the Debian archive database about packages
    [liburi-perl, wget | curl]
  - sadt: run DEP-8 tests [python3-debian]
  - suspicious-source: output a list of files which are not common source
    files [python3-magic]
  - svnpath: print Subversion repository paths [subversion]
  - tagpending: run from a Debian source tree and tag bugs that are to be
    closed in the latest changelog as pending [libsoap-lite-perl]
  - transition-check: check a list of source packages for involvement in
    transitions for which uploads to unstable are currently blocked
    [libwww-perl, libyaml-syck-perl]
  - uscan: scan upstream sites for new releases of packages [gpgv, gnupg,
    liblwp-protocol-https-perl, libwww-perl, unzip, xz-utils, file]
  - uupdate: integrate upstream changes into a source package [patch]
  - what-patch: determine what patch system, if any, a source package is using
    [patchutils]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads: determine the most recent uploaders of a package to the Debian
    archive [gnupg, debian-keyring, debian-maintainers, wget]
  - wnpp-alert: list installed packages which are orphaned or up for adoption
    [wget | curl]
  - wnpp-check: check whether there is an open request for packaging or
    intention to package bug for a package [wget | curl]
  - who-permits-upload: Retrieve information about Debian Maintainer access
    control lists [gnupg, libencode-locale-perl, libwww-perl, debian-keyring]
  - wrap-and-sort: wrap long lines and sort items in packaging files
    [python3-debian]
 .
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.
